# dask.bag.Item

class dask.bag.Item(dsk, key, layer=None)
  __init__(dsk, key, layer=None)

  Methods

  `__init__`(dsk, key[, layer]) |
  `apply`(func) |
  `compute`(**kwargs) | Compute this dask collection
  `from_delayed`(value) | Create bag item from a dask.delayed value.
  `persist`(**kwargs) | Persist this dask collection into memory
  `to_delayed`([optimize_graph]) | Convert into a `dask.delayed` object.
  `visualize`([filename, format, optimize_graph]) | Render the computation of this object's task graph using graphviz.